/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casepeoplenorm.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casepeoplenorm.entity.CasePeopleNorm;
import com.jeeplus.modules.casepeoplenorm.dao.CasePeopleNormDao;

/**
 * 人工消耗量指标Service
 * @author liuw
 * @version 2018-02-07
 */
@Service
@Transactional(readOnly = true)
public class CasePeopleNormService extends CrudService<CasePeopleNormDao, CasePeopleNorm> {

	public CasePeopleNorm get(String id) {
		return super.get(id);
	}
	
	public List<CasePeopleNorm> findList(CasePeopleNorm casePeopleNorm) {
		return super.findList(casePeopleNorm);
	}
	
	public Page<CasePeopleNorm> findPage(Page<CasePeopleNorm> page, CasePeopleNorm casePeopleNorm) {
		return super.findPage(page, casePeopleNorm);
	}
	
	@Transactional(readOnly = false)
	public void save(CasePeopleNorm casePeopleNorm) {
		super.save(casePeopleNorm);
	}
	
	@Transactional(readOnly = false)
	public void delete(CasePeopleNorm casePeopleNorm) {
		super.delete(casePeopleNorm);
	}
	
	
	
	
}